---
repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks.git
    rev: v4.0.1
    hooks:
      - id: check-added-large-files
      - id: check-executables-have-shebangs
      - id: check-merge-conflict
      - id: check-symlinks
      - id: check-toml
        files: Pipfile
      - id: check-xml
      - id: trailing-whitespace

  - repo: https://github.com/Yelp/detect-secrets
    rev: v1.1.0
    hooks:
      - id: detect-secrets
        exclude: Pipfile\.lock

  - repo: https://github.com/adrienverge/yamllint
    rev: v1.26.2
    hooks:
      - id: yamllint

  - repo: https://github.com/amperser/proselint/
    rev: 0.11.3
    hooks:
      - id: proselint
        types: [plain-text]
        exclude: LICENSE

  - repo: https://github.com/executablebooks/mdformat.git
    rev: 0.7.8
    hooks:
      - id: mdformat

  - repo: https://git.shore.co.il/nimrod/shell-pre-commit.git
    rev: v0.6.0
    hooks:
      - id: shell-lint

  - repo: https://github.com/shellcheck-py/shellcheck-py.git
    rev: v0.7.2.1
    hooks:
      - id: shellcheck

  - repo: https://git.shore.co.il/nimrod/docker-pre-commit.git/
    rev: v0.3.0
    hooks:
      - id: hadolint
      - id: docker-compose
